For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trust CenterStatusSupportGet a demoPlatform
DocumentationEvals API ReferenceIntegrations & OTELPlatform SettingsSelf-HostingGuidesChangelog
DocumentationEvals API ReferenceIntegrations & OTELPlatform SettingsSelf-HostingGuidesChangelog
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
    • Data Models
    • API Conventions
  • Data Models
      • GETList Projects
      • POSTCreate Project
      • GETRetrieve Project
      • PUTUpdate Project
      • DELDelete Project
        • GETList Project Policies
        • POSTCreate Project Policy
        • PUTUpdate Project Policy
        • DELDelete Project Policy
  • Evals
  • Legacy
LogoLogo
Trust CenterStatusSupportGet a demoPlatform
Data ModelsProjectsPolicies

Delete Project Policy

DELETE
https://api.confident-ai.com/v1/projects/:projectId/policies/:policyId
DELETE
/v1/projects/:projectId/policies/:policyId
$curl -X DELETE https://api.confident-ai.com/v1/projects/projectId/policies/policyId \
> -H "CONFIDENT_API_KEY: <ORGANIZATION-API-KEY>"
200Deleted
1{
2 "success": true,
3 "data": {
4 "id": "policy-uuid-1",
5 "deleted": true
6 }
7}
Deletes a custom project policy.
Was this page helpful?
Previous

List Project Permissions

Next
Built with

Path parameters

projectIdstringRequired
The unique identifier of the project.
policyIdstringRequired
The unique identifier of the policy.

Headers

CONFIDENT_API_KEYstringRequired
The organization API key for your Confident AI organization.

Response

successboolean
Indicates if the request was successful
dataobject